History
Description

this image below is the double-hinges leg causing the problem:

ntQN4HK.png
If you place 4, 6 or 8 of this legs on a something that weights enough, then the vessel will start shaking incontrollably as if it had
parkinsons until the bounciness builds up so much that the vessel will go from still to a crazy 360° jump into the air

How to reproduce it:

1)Place 4 of those legs on a vessel that weights enough. | had a lander with 2 "reliant" engines on the sides and 3 "medium version"
fuel storage of the same diameter of a reliant, one on the center and 2 symmetrical on the sides (The legs mounted on the center
piece.)

2)The crazy shaking is noticeable as soon as the lander is placed on the VAB launch platform, one might try increasing the spring
strenght to make it jump even more.

This behaviour is surprising and clearly not normal, other player who tried reproducing this noted it is at least two different bugs (in
their case, after that crazy jump the lander crushed on the engine which instead of exploding, made the whole thing bounce again)

History

#1 - 01/16/2020 09:25 PM - MarcusAseth

- Description updated

#2 - 01/17/2020 03:33 AM - abc

| did not see a jump but did see bouncing. | tried with various size fuel tanks or an octo with 8 legs. The leg is a G-01L Alligator Hinge, G-00 Hinge,
and LT-1 Landing Struts.

Just attaching 4x LT-1 Landing Struts (or LT-2 but not LT-05) to an OKTO causes a never-ending bounce in 1.8.1 Windows no matter the spring and
damper settings. So | think the main bug is bounce due to the LT-1 and the hinges are mostly amplifying. This is related to Bug #19427 that was just
fixed for the LY-01 Fixed Landing Gear.

| also noticed quite a bit of side to side motion of the alligator hinge at times (mostly when it had walked partly over to the edge) when not locked.
This seems like a bug, but possibly is intended. The jump might be a different bug or maybe not itself a bug depending on the specifics of your craft.

If you want to keep this bug for the jump and hinges | can open another one for the LT-1 and LT-2 bounce (I don't see one open at this point). Or we
could change this bug to focus on the LT-1 and LT-2 bounce and | can confirm. If you want to keep the bug for the jump (and maybe even if not) it
would be helpful to upload the exact craft file that causes the issue for you.

#3 - 01/17/2020 09:52 AM - MarcusAseth

- Subject changed from Hinges cause extreme bounciness to Hinges plus landing struts cause extreme bounciness
#4 - 01/17/2020 09:55 AM - MarcusAseth
abc wrote:
If you want to keep this bug for the jump and hinges | can open another one for the LT-1 and LT-2 bounce (I don't see one open at this point).

Or we could change this bug to focus on the LT-1 and LT-2 bounce and | can confirm. If you want to keep the bug for the jump (and maybe even
if not) it would be helpful to upload the exact craft file that causes the issue for you.
https://bugs.kerbalspaceprogram.com/issues/19427

| believe the jump is ralated somehow, just a consequence of the extreme buildup of bounciness under some circumstances

#5 - 01/17/2020 11:40 AM - Anth12

| think this is technically the same as #24218 ? same result from BG parts

#6 - 01/18/2020 08:15 AM - abc
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| added a note to that one and confirm both. | also somehow missed the part where you described the craft you used and building that | was able to
at least get a small 180° jump with increased damper and spring. | guess a third bug just for the OKTO plus LT-1 or LT-2 might just be annoying.
Hopefully they are working on the issue already from the older bugs and can add some of these leg structures to automated testing since they are
simple and show the issue immediately on launch.

#7 - 01/29/2020 10:53 PM - Lisias
Anth12 wrote:

I think this is technically the same as #24218 ? same result from BG parts

| don't think so. | made an unusual test craft for this thing:

http://ksp.lisias.net/showcase/misc/2020/01/16_Robotic-Legs-Lander/0001#main-img

And it works fine on 1.7.3 and 1.8. However, after talking about with Marcus, | realise that the problem triggers itself when you add more weight to the
equation.

So | took that craft on the link above, shoved 40 tons of fuel tanks over the monopropellant tank on the top and launched the thing. And yeabh, this
thing started to jump. And to jumper higher, and to jumped higher. But then | hit the stage and the service bay ejected the doors with the legs, and
when the thing hit the ground with the engine... IT BOUNCED. And only after the craft tilted a bit, it started to explode when hitting the ground!

| think we have TWO problems:

1) The code that automatically adjusts the bumper and springs doesn't copes very well when you abuse the gears and landing struts.

2) Once the gears or landing struts collpses, something weird on some collider happens, and the whole things jumps good.

| remember a problem in which older parts makes the whole craft to jump to 1.000 meters high at launch, | was told it was some displaced vertex that
ends up below the ground line, triggering the jump. Perhaps we have something related?

#8 - 03/04/2020 10:40 AM - sir_frost

i have the same issue with rotational servos in combination with wheels.

when the servo is locked the bounciness stops

if you lock the alligator hinge does the bounce stop?

this seams to be an issue with the two different spring/dampening systems for robotic part and landing legs/ wheels

if this is the case this bug could probably be found with any combination of legs/wheels and any robotic part.
